import { ChainName } from "./chains";
export declare const platforms: ["Evm", "Solana", "Cosmwasm", "Btc", "Algorand", "Sui", "Aptos", "Osmosis", "Wormchain", "Near"];
export type PlatformName = (typeof platforms)[number];
export declare const platformToChains: (<K1 extends "Solana" | "Algorand" | "Near" | "Osmosis" | "Sui" | "Aptos" | "Btc" | "Wormchain" | "Evm" | "Cosmwasm">(args_0: K1) => (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "Solana" | "Algorand" | "Near" | "Osmosis" | "Sui" | "Aptos" | "Btc" | "Wormchain" | "Evm" | "Cosmwasm" ? import("../utils").ObjectFromMappingEntries<readonly [readonly ["Evm", readonly ["Ethereum", "Bsc", "Polygon", "Avalanche", "Oasis", "Aurora", "Fantom", "Karura", "Acala", "Klaytn", "Celo", "Moonbeam", "Neon", "Arbitrum", "Optimism", "Gnosis", "Base", "Sepolia"]], readonly ["Solana", readonly ["Solana", "Pythnet"]], readonly ["Cosmwasm", readonly ["Terra", "Terra2", "Injective", "Xpla", "Sei"]], readonly ["Btc", readonly ["Btc"]], readonly ["Algorand", readonly ["Algorand"]], readonly ["Sui", readonly ["Sui"]], readonly ["Aptos", readonly ["Aptos"]], readonly ["Osmosis", readonly ["Osmosis"]], readonly ["Wormchain", readonly ["Wormchain"]], readonly ["Near", readonly ["Near"]]]>[("Solana" | "Algorand" | "Near" | "Osmosis" | "Sui" | "Aptos" | "Btc" | "Wormchain" | "Evm" | "Cosmwasm") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("../utils").ObjectFromMappingEntries<readonly [readonly ["Evm", readonly ["Ethereum", "Bsc", "Polygon", "Avalanche", "Oasis", "Aurora", "Fantom", "Karura", "Acala", "Klaytn", "Celo", "Moonbeam", "Neon", "Arbitrum", "Optimism", "Gnosis", "Base", "Sepolia"]], readonly ["Solana", readonly ["Solana", "Pythnet"]], readonly ["Cosmwasm", readonly ["Terra", "Terra2", "Injective", "Xpla", "Sei"]], readonly ["Btc", readonly ["Btc"]], readonly ["Algorand", readonly ["Algorand"]], readonly ["Sui", readonly ["Sui"]], readonly ["Aptos", readonly ["Aptos"]], readonly ["Osmosis", readonly ["Osmosis"]], readonly ["Wormchain", readonly ["Wormchain"]], readonly ["Near", readonly ["Near"]]]>[("Solana" | "Algorand" | "Near" | "Osmosis" | "Sui" | "Aptos" | "Btc" | "Wormchain" | "Evm" | "Cosmwasm") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : import("../utils").ObjectFromMappingEntries<readonly [readonly ["Evm", readonly ["Ethereum", "Bsc", "Polygon", "Avalanche", "Oasis", "Aurora", "Fantom", "Karura", "Acala", "Klaytn", "Celo", "Moonbeam", "Neon", "Arbitrum", "Optimism", "Gnosis", "Base", "Sepolia"]], readonly ["Solana", readonly ["Solana", "Pythnet"]], readonly ["Cosmwasm", readonly ["Terra", "Terra2", "Injective", "Xpla", "Sei"]], readonly ["Btc", readonly ["Btc"]], readonly ["Algorand", readonly ["Algorand"]], readonly ["Sui", readonly ["Sui"]], readonly ["Aptos", readonly ["Aptos"]], readonly ["Osmosis", readonly ["Osmosis"]], readonly ["Wormchain", readonly ["Wormchain"]], readonly ["Near", readonly ["Near"]]]>[("Solana" | "Algorand" | "Near" | "Osmosis" | "Sui" | "Aptos" | "Btc" | "Wormchain" | "Evm" | "Cosmwasm") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) & {
    get: (args_0: string) => readonly ["Algorand"] | readonly ["Near"] | readonly ["Osmosis"] | readonly ["Sui"] | readonly ["Aptos"] | readonly ["Btc"] | readonly ["Wormchain"] | readonly ["Ethereum", "Bsc", "Polygon", "Avalanche", "Oasis", "Aurora", "Fantom", "Karura", "Acala", "Klaytn", "Celo", "Moonbeam", "Neon", "Arbitrum", "Optimism", "Gnosis", "Base", "Sepolia"] | readonly ["Solana", "Pythnet"] | readonly ["Terra", "Terra2", "Injective", "Xpla", "Sei"] | undefined;
    has: (args_0: string) => boolean;
};
export declare const chainToPlatform: (<K1 extends "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Wormchain" | "Sepolia">(args_0: K1) => (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Wormchain" | "Sepolia" ? import("../utils").ObjectFromMappingEntries<[readonly ["Ethereum", readonly [readonly ["Evm"]]], readonly ["Bsc", readonly [readonly ["Evm"]]], readonly ["Polygon", readonly [readonly ["Evm"]]], readonly ["Avalanche", readonly [readonly ["Evm"]]], readonly ["Oasis", readonly [readonly ["Evm"]]], readonly ["Aurora", readonly [readonly ["Evm"]]], readonly ["Fantom", readonly [readonly ["Evm"]]], readonly ["Karura", readonly [readonly ["Evm"]]], readonly ["Acala", readonly [readonly ["Evm"]]], readonly ["Klaytn", readonly [readonly ["Evm"]]], readonly ["Celo", readonly [readonly ["Evm"]]], readonly ["Moonbeam", readonly [readonly ["Evm"]]], readonly ["Neon", readonly [readonly ["Evm"]]], readonly ["Arbitrum", readonly [readonly ["Evm"]]], readonly ["Optimism", readonly [readonly ["Evm"]]], readonly ["Gnosis", readonly [readonly ["Evm"]]], readonly ["Base", readonly [readonly ["Evm"]]], readonly ["Sepolia", readonly [readonly ["Evm"]]], readonly ["Solana", readonly [readonly ["Solana"]]], readonly ["Pythnet", readonly [readonly ["Solana"]]], readonly ["Terra", readonly [readonly ["Cosmwasm"]]], readonly ["Terra2", readonly [readonly ["Cosmwasm"]]], readonly ["Injective", readonly [readonly ["Cosmwasm"]]], readonly ["Xpla", readonly [readonly ["Cosmwasm"]]], readonly ["Sei", readonly [readonly ["Cosmwasm"]]], readonly ["Btc", readonly [readonly ["Btc"]]], readonly ["Algorand", readonly [readonly ["Algorand"]]], readonly ["Sui", readonly [readonly ["Sui"]]], readonly ["Aptos", readonly [readonly ["Aptos"]]], readonly ["Osmosis", readonly [readonly ["Osmosis"]]], readonly ["Wormchain", readonly [readonly ["Wormchain"]]], readonly ["Near", readonly [readonly ["Near"]]]]>[("Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Wormchain" | "Sepolia") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("../utils").ObjectFromMappingEntries<[readonly ["Ethereum", readonly [readonly ["Evm"]]], readonly ["Bsc", readonly [readonly ["Evm"]]], readonly ["Polygon", readonly [readonly ["Evm"]]], readonly ["Avalanche", readonly [readonly ["Evm"]]], readonly ["Oasis", readonly [readonly ["Evm"]]], readonly ["Aurora", readonly [readonly ["Evm"]]], readonly ["Fantom", readonly [readonly ["Evm"]]], readonly ["Karura", readonly [readonly ["Evm"]]], readonly ["Acala", readonly [readonly ["Evm"]]], readonly ["Klaytn", readonly [readonly ["Evm"]]], readonly ["Celo", readonly [readonly ["Evm"]]], readonly ["Moonbeam", readonly [readonly ["Evm"]]], readonly ["Neon", readonly [readonly ["Evm"]]], readonly ["Arbitrum", readonly [readonly ["Evm"]]], readonly ["Optimism", readonly [readonly ["Evm"]]], readonly ["Gnosis", readonly [readonly ["Evm"]]], readonly ["Base", readonly [readonly ["Evm"]]], readonly ["Sepolia", readonly [readonly ["Evm"]]], readonly ["Solana", readonly [readonly ["Solana"]]], readonly ["Pythnet", readonly [readonly ["Solana"]]], readonly ["Terra", readonly [readonly ["Cosmwasm"]]], readonly ["Terra2", readonly [readonly ["Cosmwasm"]]], readonly ["Injective", readonly [readonly ["Cosmwasm"]]], readonly ["Xpla", readonly [readonly ["Cosmwasm"]]], readonly ["Sei", readonly [readonly ["Cosmwasm"]]], readonly ["Btc", readonly [readonly ["Btc"]]], readonly ["Algorand", readonly [readonly ["Algorand"]]], readonly ["Sui", readonly [readonly ["Sui"]]], readonly ["Aptos", readonly [readonly ["Aptos"]]], readonly ["Osmosis", readonly [readonly ["Osmosis"]]], readonly ["Wormchain", readonly [readonly ["Wormchain"]]], readonly ["Near", readonly [readonly ["Near"]]]]>[("Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Wormchain" | "Sepolia") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : import("../utils").ObjectFromMappingEntries<[readonly ["Ethereum", readonly [readonly ["Evm"]]], readonly ["Bsc", readonly [readonly ["Evm"]]], readonly ["Polygon", readonly [readonly ["Evm"]]], readonly ["Avalanche", readonly [readonly ["Evm"]]], readonly ["Oasis", readonly [readonly ["Evm"]]], readonly ["Aurora", readonly [readonly ["Evm"]]], readonly ["Fantom", readonly [readonly ["Evm"]]], readonly ["Karura", readonly [readonly ["Evm"]]], readonly ["Acala", readonly [readonly ["Evm"]]], readonly ["Klaytn", readonly [readonly ["Evm"]]], readonly ["Celo", readonly [readonly ["Evm"]]], readonly ["Moonbeam", readonly [readonly ["Evm"]]], readonly ["Neon", readonly [readonly ["Evm"]]], readonly ["Arbitrum", readonly [readonly ["Evm"]]], readonly ["Optimism", readonly [readonly ["Evm"]]], readonly ["Gnosis", readonly [readonly ["Evm"]]], readonly ["Base", readonly [readonly ["Evm"]]], readonly ["Sepolia", readonly [readonly ["Evm"]]], readonly ["Solana", readonly [readonly ["Solana"]]], readonly ["Pythnet", readonly [readonly ["Solana"]]], readonly ["Terra", readonly [readonly ["Cosmwasm"]]], readonly ["Terra2", readonly [readonly ["Cosmwasm"]]], readonly ["Injective", readonly [readonly ["Cosmwasm"]]], readonly ["Xpla", readonly [readonly ["Cosmwasm"]]], readonly ["Sei", readonly [readonly ["Cosmwasm"]]], readonly ["Btc", readonly [readonly ["Btc"]]], readonly ["Algorand", readonly [readonly ["Algorand"]]], readonly ["Sui", readonly [readonly ["Sui"]]], readonly ["Aptos", readonly [readonly ["Aptos"]]], readonly ["Osmosis", readonly [readonly ["Osmosis"]]], readonly ["Wormchain", readonly [readonly ["Wormchain"]]], readonly ["Near", readonly [readonly ["Near"]]]]>[("Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Wormchain" | "Sepolia") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) & {
    get: (args_0: string) => "Solana" | "Algorand" | "Near" | "Osmosis" | "Sui" | "Aptos" | "Btc" | "Wormchain" | "Evm" | "Cosmwasm" | undefined;
    has: (args_0: string) => boolean;
};
export declare const isPlatform: (platform: string) => platform is "Solana" | "Algorand" | "Near" | "Osmosis" | "Sui" | "Aptos" | "Btc" | "Wormchain" | "Evm" | "Cosmwasm";
export type PlatformToChains<P extends PlatformName> = ReturnType<typeof platformToChains<P>>[number];
export type ChainToPlatform<C extends ChainName> = ReturnType<typeof chainToPlatform<C>>;
export declare const evmChainIdToNetworkChainPair: (<K1 extends 0n | 1n | 56n | 137n | 43114n | 42262n | 1313161554n | 250n | 686n | 787n | 8217n | 42220n | 1284n | 245022934n | 42161n | 10n | 100n | 8453n | 5n | 11155111n | 97n | 80001n | 43113n | 42261n | 1313161555n | 4002n | 596n | 597n | 1001n | 44787n | 1287n | 245022940n | 421613n | 420n | 77n | 84531n>(args_0: K1) => (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "bigint(1)" | "bigint(0)" | "bigint(56)" | "bigint(137)" | "bigint(43114)" | "bigint(42262)" | "bigint(1313161554)" | "bigint(250)" | "bigint(686)" | "bigint(787)" | "bigint(8217)" | "bigint(42220)" | "bigint(1284)" | "bigint(245022934)" | "bigint(42161)" | "bigint(10)" | "bigint(100)" | "bigint(8453)" | "bigint(5)" | "bigint(11155111)" | "bigint(97)" | "bigint(80001)" | "bigint(43113)" | "bigint(42261)" | "bigint(1313161555)" | "bigint(4002)" | "bigint(596)" | "bigint(597)" | "bigint(1001)" | "bigint(44787)" | "bigint(1287)" | "bigint(245022940)" | "bigint(421613)" | "bigint(420)" | "bigint(77)" | "bigint(84531)" ? import("../utils").ObjectFromMappingEntries<[readonly [1n, readonly [readonly [readonly ["Mainnet", "Ethereum"]]]], readonly [0n, readonly [readonly [readonly ["Mainnet", "Sepolia"]]]], readonly [56n, readonly [readonly [readonly ["Mainnet", "Bsc"]]]], readonly [137n, readonly [readonly [readonly ["Mainnet", "Polygon"]]]], readonly [43114n, readonly [readonly [readonly ["Mainnet", "Avalanche"]]]], readonly [42262n, readonly [readonly [readonly ["Mainnet", "Oasis"]]]], readonly [1313161554n, readonly [readonly [readonly ["Mainnet", "Aurora"]]]], readonly [250n, readonly [readonly [readonly ["Mainnet", "Fantom"]]]], readonly [686n, readonly [readonly [readonly ["Mainnet", "Karura"]]]], readonly [787n, readonly [readonly [readonly ["Mainnet", "Acala"]]]], readonly [8217n, readonly [readonly [readonly ["Mainnet", "Klaytn"]]]], readonly [42220n, readonly [readonly [readonly ["Mainnet", "Celo"]]]], readonly [1284n, readonly [readonly [readonly ["Mainnet", "Moonbeam"]]]], readonly [245022934n, readonly [readonly [readonly ["Mainnet", "Neon"]]]], readonly [42161n, readonly [readonly [readonly ["Mainnet", "Arbitrum"]]]], readonly [10n, readonly [readonly [readonly ["Mainnet", "Optimism"]]]], readonly [100n, readonly [readonly [readonly ["Mainnet", "Gnosis"]]]], readonly [8453n, readonly [readonly [readonly ["Mainnet", "Base"]]]], readonly [5n, readonly [readonly [readonly ["Testnet", "Ethereum"]]]], readonly [11155111n, readonly [readonly [readonly ["Testnet", "Sepolia"]]]], readonly [97n, readonly [readonly [readonly ["Testnet", "Bsc"]]]], readonly [80001n, readonly [readonly [readonly ["Testnet", "Polygon"]]]], readonly [43113n, readonly [readonly [readonly ["Testnet", "Avalanche"]]]], readonly [42261n, readonly [readonly [readonly ["Testnet", "Oasis"]]]], readonly [1313161555n, readonly [readonly [readonly ["Testnet", "Aurora"]]]], readonly [4002n, readonly [readonly [readonly ["Testnet", "Fantom"]]]], readonly [596n, readonly [readonly [readonly ["Testnet", "Karura"]]]], readonly [597n, readonly [readonly [readonly ["Testnet", "Acala"]]]], readonly [1001n, readonly [readonly [readonly ["Testnet", "Klaytn"]]]], readonly [44787n, readonly [readonly [readonly ["Testnet", "Celo"]]]], readonly [1287n, readonly [readonly [readonly ["Testnet", "Moonbeam"]]]], readonly [245022940n, readonly [readonly [readonly ["Testnet", "Neon"]]]], readonly [421613n, readonly [readonly [readonly ["Testnet", "Arbitrum"]]]], readonly [420n, readonly [readonly [readonly ["Testnet", "Optimism"]]]], readonly [77n, readonly [readonly [readonly ["Testnet", "Gnosis"]]]], readonly [84531n, readonly [readonly [readonly ["Testnet", "Base"]]]]]>[("bigint(1)" | "bigint(0)" | "bigint(56)" | "bigint(137)" | "bigint(43114)" | "bigint(42262)" | "bigint(1313161554)" | "bigint(250)" | "bigint(686)" | "bigint(787)" | "bigint(8217)" | "bigint(42220)" | "bigint(1284)" | "bigint(245022934)" | "bigint(42161)" | "bigint(10)" | "bigint(100)" | "bigint(8453)" | "bigint(5)" | "bigint(11155111)" | "bigint(97)" | "bigint(80001)" | "bigint(43113)" | "bigint(42261)" | "bigint(1313161555)" | "bigint(4002)" | "bigint(596)" | "bigint(597)" | "bigint(1001)" | "bigint(44787)" | "bigint(1287)" | "bigint(245022940)" | "bigint(421613)" | "bigint(420)" | "bigint(77)" | "bigint(84531)") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("../utils").ObjectFromMappingEntries<[readonly [1n, readonly [readonly [readonly ["Mainnet", "Ethereum"]]]], readonly [0n, readonly [readonly [readonly ["Mainnet", "Sepolia"]]]], readonly [56n, readonly [readonly [readonly ["Mainnet", "Bsc"]]]], readonly [137n, readonly [readonly [readonly ["Mainnet", "Polygon"]]]], readonly [43114n, readonly [readonly [readonly ["Mainnet", "Avalanche"]]]], readonly [42262n, readonly [readonly [readonly ["Mainnet", "Oasis"]]]], readonly [1313161554n, readonly [readonly [readonly ["Mainnet", "Aurora"]]]], readonly [250n, readonly [readonly [readonly ["Mainnet", "Fantom"]]]], readonly [686n, readonly [readonly [readonly ["Mainnet", "Karura"]]]], readonly [787n, readonly [readonly [readonly ["Mainnet", "Acala"]]]], readonly [8217n, readonly [readonly [readonly ["Mainnet", "Klaytn"]]]], readonly [42220n, readonly [readonly [readonly ["Mainnet", "Celo"]]]], readonly [1284n, readonly [readonly [readonly ["Mainnet", "Moonbeam"]]]], readonly [245022934n, readonly [readonly [readonly ["Mainnet", "Neon"]]]], readonly [42161n, readonly [readonly [readonly ["Mainnet", "Arbitrum"]]]], readonly [10n, readonly [readonly [readonly ["Mainnet", "Optimism"]]]], readonly [100n, readonly [readonly [readonly ["Mainnet", "Gnosis"]]]], readonly [8453n, readonly [readonly [readonly ["Mainnet", "Base"]]]], readonly [5n, readonly [readonly [readonly ["Testnet", "Ethereum"]]]], readonly [11155111n, readonly [readonly [readonly ["Testnet", "Sepolia"]]]], readonly [97n, readonly [readonly [readonly ["Testnet", "Bsc"]]]], readonly [80001n, readonly [readonly [readonly ["Testnet", "Polygon"]]]], readonly [43113n, readonly [readonly [readonly ["Testnet", "Avalanche"]]]], readonly [42261n, readonly [readonly [readonly ["Testnet", "Oasis"]]]], readonly [1313161555n, readonly [readonly [readonly ["Testnet", "Aurora"]]]], readonly [4002n, readonly [readonly [readonly ["Testnet", "Fantom"]]]], readonly [596n, readonly [readonly [readonly ["Testnet", "Karura"]]]], readonly [597n, readonly [readonly [readonly ["Testnet", "Acala"]]]], readonly [1001n, readonly [readonly [readonly ["Testnet", "Klaytn"]]]], readonly [44787n, readonly [readonly [readonly ["Testnet", "Celo"]]]], readonly [1287n, readonly [readonly [readonly ["Testnet", "Moonbeam"]]]], readonly [245022940n, readonly [readonly [readonly ["Testnet", "Neon"]]]], readonly [421613n, readonly [readonly [readonly ["Testnet", "Arbitrum"]]]], readonly [420n, readonly [readonly [readonly ["Testnet", "Optimism"]]]], readonly [77n, readonly [readonly [readonly ["Testnet", "Gnosis"]]]], readonly [84531n, readonly [readonly [readonly ["Testnet", "Base"]]]]]>[("bigint(1)" | "bigint(0)" | "bigint(56)" | "bigint(137)" | "bigint(43114)" | "bigint(42262)" | "bigint(1313161554)" | "bigint(250)" | "bigint(686)" | "bigint(787)" | "bigint(8217)" | "bigint(42220)" | "bigint(1284)" | "bigint(245022934)" | "bigint(42161)" | "bigint(10)" | "bigint(100)" | "bigint(8453)" | "bigint(5)" | "bigint(11155111)" | "bigint(97)" | "bigint(80001)" | "bigint(43113)" | "bigint(42261)" | "bigint(1313161555)" | "bigint(4002)" | "bigint(596)" | "bigint(597)" | "bigint(1001)" | "bigint(44787)" | "bigint(1287)" | "bigint(245022940)" | "bigint(421613)" | "bigint(420)" | "bigint(77)" | "bigint(84531)") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : import("../utils").ObjectFromMappingEntries<[readonly [1n, readonly [readonly [readonly ["Mainnet", "Ethereum"]]]], readonly [0n, readonly [readonly [readonly ["Mainnet", "Sepolia"]]]], readonly [56n, readonly [readonly [readonly ["Mainnet", "Bsc"]]]], readonly [137n, readonly [readonly [readonly ["Mainnet", "Polygon"]]]], readonly [43114n, readonly [readonly [readonly ["Mainnet", "Avalanche"]]]], readonly [42262n, readonly [readonly [readonly ["Mainnet", "Oasis"]]]], readonly [1313161554n, readonly [readonly [readonly ["Mainnet", "Aurora"]]]], readonly [250n, readonly [readonly [readonly ["Mainnet", "Fantom"]]]], readonly [686n, readonly [readonly [readonly ["Mainnet", "Karura"]]]], readonly [787n, readonly [readonly [readonly ["Mainnet", "Acala"]]]], readonly [8217n, readonly [readonly [readonly ["Mainnet", "Klaytn"]]]], readonly [42220n, readonly [readonly [readonly ["Mainnet", "Celo"]]]], readonly [1284n, readonly [readonly [readonly ["Mainnet", "Moonbeam"]]]], readonly [245022934n, readonly [readonly [readonly ["Mainnet", "Neon"]]]], readonly [42161n, readonly [readonly [readonly ["Mainnet", "Arbitrum"]]]], readonly [10n, readonly [readonly [readonly ["Mainnet", "Optimism"]]]], readonly [100n, readonly [readonly [readonly ["Mainnet", "Gnosis"]]]], readonly [8453n, readonly [readonly [readonly ["Mainnet", "Base"]]]], readonly [5n, readonly [readonly [readonly ["Testnet", "Ethereum"]]]], readonly [11155111n, readonly [readonly [readonly ["Testnet", "Sepolia"]]]], readonly [97n, readonly [readonly [readonly ["Testnet", "Bsc"]]]], readonly [80001n, readonly [readonly [readonly ["Testnet", "Polygon"]]]], readonly [43113n, readonly [readonly [readonly ["Testnet", "Avalanche"]]]], readonly [42261n, readonly [readonly [readonly ["Testnet", "Oasis"]]]], readonly [1313161555n, readonly [readonly [readonly ["Testnet", "Aurora"]]]], readonly [4002n, readonly [readonly [readonly ["Testnet", "Fantom"]]]], readonly [596n, readonly [readonly [readonly ["Testnet", "Karura"]]]], readonly [597n, readonly [readonly [readonly ["Testnet", "Acala"]]]], readonly [1001n, readonly [readonly [readonly ["Testnet", "Klaytn"]]]], readonly [44787n, readonly [readonly [readonly ["Testnet", "Celo"]]]], readonly [1287n, readonly [readonly [readonly ["Testnet", "Moonbeam"]]]], readonly [245022940n, readonly [readonly [readonly ["Testnet", "Neon"]]]], readonly [421613n, readonly [readonly [readonly ["Testnet", "Arbitrum"]]]], readonly [420n, readonly [readonly [readonly ["Testnet", "Optimism"]]]], readonly [77n, readonly [readonly [readonly ["Testnet", "Gnosis"]]]], readonly [84531n, readonly [readonly [readonly ["Testnet", "Base"]]]]]>[("bigint(1)" | "bigint(0)" | "bigint(56)" | "bigint(137)" | "bigint(43114)" | "bigint(42262)" | "bigint(1313161554)" | "bigint(250)" | "bigint(686)" | "bigint(787)" | "bigint(8217)" | "bigint(42220)" | "bigint(1284)" | "bigint(245022934)" | "bigint(42161)" | "bigint(10)" | "bigint(100)" | "bigint(8453)" | "bigint(5)" | "bigint(11155111)" | "bigint(97)" | "bigint(80001)" | "bigint(43113)" | "bigint(42261)" | "bigint(1313161555)" | "bigint(4002)" | "bigint(596)" | "bigint(597)" | "bigint(1001)" | "bigint(44787)" | "bigint(1287)" | "bigint(245022940)" | "bigint(421613)" | "bigint(420)" | "bigint(77)" | "bigint(84531)") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) & {
    get: (args_0: bigint) => readonly ["Mainnet", "Ethereum"] | readonly ["Mainnet", "Sepolia"] | readonly ["Mainnet", "Bsc"] | readonly ["Mainnet", "Polygon"] | readonly ["Mainnet", "Avalanche"] | readonly ["Mainnet", "Oasis"] | readonly ["Mainnet", "Aurora"] | readonly ["Mainnet", "Fantom"] | readonly ["Mainnet", "Karura"] | readonly ["Mainnet", "Acala"] | readonly ["Mainnet", "Klaytn"] | readonly ["Mainnet", "Celo"] | readonly ["Mainnet", "Moonbeam"] | readonly ["Mainnet", "Neon"] | readonly ["Mainnet", "Arbitrum"] | readonly ["Mainnet", "Optimism"] | readonly ["Mainnet", "Gnosis"] | readonly ["Mainnet", "Base"] | readonly ["Testnet", "Ethereum"] | readonly ["Testnet", "Sepolia"] | readonly ["Testnet", "Bsc"] | readonly ["Testnet", "Polygon"] | readonly ["Testnet", "Avalanche"] | readonly ["Testnet", "Oasis"] | readonly ["Testnet", "Aurora"] | readonly ["Testnet", "Fantom"] | readonly ["Testnet", "Karura"] | readonly ["Testnet", "Acala"] | readonly ["Testnet", "Klaytn"] | readonly ["Testnet", "Celo"] | readonly ["Testnet", "Moonbeam"] | readonly ["Testnet", "Neon"] | readonly ["Testnet", "Arbitrum"] | readonly ["Testnet", "Optimism"] | readonly ["Testnet", "Gnosis"] | readonly ["Testnet", "Base"] | undefined;
    has: (args_0: bigint) => boolean;
};
export declare const evmNetworkChainToEvmChainId: (<K1 extends "Mainnet" | "Testnet", K2 extends keyof ((K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "Mainnet" | "Testnet" ? import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Ethereum", 1n], readonly ["Sepolia", 0n], readonly ["Bsc", 56n], readonly ["Polygon", 137n], readonly ["Avalanche", 43114n], readonly ["Oasis", 42262n], readonly ["Aurora", 1313161554n], readonly ["Fantom", 250n], readonly ["Karura", 686n], readonly ["Acala", 787n], readonly ["Klaytn", 8217n], readonly ["Celo", 42220n], readonly ["Moonbeam", 1284n], readonly ["Neon", 245022934n], readonly ["Arbitrum", 42161n], readonly ["Optimism", 10n], readonly ["Gnosis", 100n], readonly ["Base", 8453n]]], readonly ["Testnet", readonly [readonly ["Ethereum", 5n], readonly ["Sepolia", 11155111n], readonly ["Bsc", 97n], readonly ["Polygon", 80001n], readonly ["Avalanche", 43113n], readonly ["Oasis", 42261n], readonly ["Aurora", 1313161555n], readonly ["Fantom", 4002n], readonly ["Karura", 596n], readonly ["Acala", 597n], readonly ["Klaytn", 1001n], readonly ["Celo", 44787n], readonly ["Moonbeam", 1287n], readonly ["Neon", 245022940n], readonly ["Arbitrum", 421613n], readonly ["Optimism", 420n], readonly ["Gnosis", 77n], readonly ["Base", 84531n]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Ethereum", 1n], readonly ["Sepolia", 0n], readonly ["Bsc", 56n], readonly ["Polygon", 137n], readonly ["Avalanche", 43114n], readonly ["Oasis", 42262n], readonly ["Aurora", 1313161554n], readonly ["Fantom", 250n], readonly ["Karura", 686n], readonly ["Acala", 787n], readonly ["Klaytn", 8217n], readonly ["Celo", 42220n], readonly ["Moonbeam", 1284n], readonly ["Neon", 245022934n], readonly ["Arbitrum", 42161n], readonly ["Optimism", 10n], readonly ["Gnosis", 100n], readonly ["Base", 8453n]]], readonly ["Testnet", readonly [readonly ["Ethereum", 5n], readonly ["Sepolia", 11155111n], readonly ["Bsc", 97n], readonly ["Polygon", 80001n], readonly ["Avalanche", 43113n], readonly ["Oasis", 42261n], readonly ["Aurora", 1313161555n], readonly ["Fantom", 4002n], readonly ["Karura", 596n], readonly ["Acala", 597n], readonly ["Klaytn", 1001n], readonly ["Celo", 44787n], readonly ["Moonbeam", 1287n], readonly ["Neon", 245022940n], readonly ["Arbitrum", 421613n], readonly ["Optimism", 420n], readonly ["Gnosis", 77n], readonly ["Base", 84531n]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Ethereum", 1n], readonly ["Sepolia", 0n], readonly ["Bsc", 56n], readonly ["Polygon", 137n], readonly ["Avalanche", 43114n], readonly ["Oasis", 42262n], readonly ["Aurora", 1313161554n], readonly ["Fantom", 250n], readonly ["Karura", 686n], readonly ["Acala", 787n], readonly ["Klaytn", 8217n], readonly ["Celo", 42220n], readonly ["Moonbeam", 1284n], readonly ["Neon", 245022934n], readonly ["Arbitrum", 42161n], readonly ["Optimism", 10n], readonly ["Gnosis", 100n], readonly ["Base", 8453n]]], readonly ["Testnet", readonly [readonly ["Ethereum", 5n], readonly ["Sepolia", 11155111n], readonly ["Bsc", 97n], readonly ["Polygon", 80001n], readonly ["Avalanche", 43113n], readonly ["Oasis", 42261n], readonly ["Aurora", 1313161555n], readonly ["Fantom", 4002n], readonly ["Karura", 596n], readonly ["Acala", 597n], readonly ["Klaytn", 1001n], readonly ["Celo", 44787n], readonly ["Moonbeam", 1287n], readonly ["Neon", 245022940n], readonly ["Arbitrum", 421613n], readonly ["Optimism", 420n], readonly ["Gnosis", 77n], readonly ["Base", 84531n]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) extends infer T ? T extends keyof ((K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "Mainnet" | "Testnet" ? import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Ethereum", 1n], readonly ["Sepolia", 0n], readonly ["Bsc", 56n], readonly ["Polygon", 137n], readonly ["Avalanche", 43114n], readonly ["Oasis", 42262n], readonly ["Aurora", 1313161554n], readonly ["Fantom", 250n], readonly ["Karura", 686n], readonly ["Acala", 787n], readonly ["Klaytn", 8217n], readonly ["Celo", 42220n], readonly ["Moonbeam", 1284n], readonly ["Neon", 245022934n], readonly ["Arbitrum", 42161n], readonly ["Optimism", 10n], readonly ["Gnosis", 100n], readonly ["Base", 8453n]]], readonly ["Testnet", readonly [readonly ["Ethereum", 5n], readonly ["Sepolia", 11155111n], readonly ["Bsc", 97n], readonly ["Polygon", 80001n], readonly ["Avalanche", 43113n], readonly ["Oasis", 42261n], readonly ["Aurora", 1313161555n], readonly ["Fantom", 4002n], readonly ["Karura", 596n], readonly ["Acala", 597n], readonly ["Klaytn", 1001n], readonly ["Celo", 44787n], readonly ["Moonbeam", 1287n], readonly ["Neon", 245022940n], readonly ["Arbitrum", 421613n], readonly ["Optimism", 420n], readonly ["Gnosis", 77n], readonly ["Base", 84531n]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Ethereum", 1n], readonly ["Sepolia", 0n], readonly ["Bsc", 56n], readonly ["Polygon", 137n], readonly ["Avalanche", 43114n], readonly ["Oasis", 42262n], readonly ["Aurora", 1313161554n], readonly ["Fantom", 250n], readonly ["Karura", 686n], readonly ["Acala", 787n], readonly ["Klaytn", 8217n], readonly ["Celo", 42220n], readonly ["Moonbeam", 1284n], readonly ["Neon", 245022934n], readonly ["Arbitrum", 42161n], readonly ["Optimism", 10n], readonly ["Gnosis", 100n], readonly ["Base", 8453n]]], readonly ["Testnet", readonly [readonly ["Ethereum", 5n], readonly ["Sepolia", 11155111n], readonly ["Bsc", 97n], readonly ["Polygon", 80001n], readonly ["Avalanche", 43113n], readonly ["Oasis", 42261n], readonly ["Aurora", 1313161555n], readonly ["Fantom", 4002n], readonly ["Karura", 596n], readonly ["Acala", 597n], readonly ["Klaytn", 1001n], readonly ["Celo", 44787n], readonly ["Moonbeam", 1287n], readonly ["Neon", 245022940n], readonly ["Arbitrum", 421613n], readonly ["Optimism", 420n], readonly ["Gnosis", 77n], readonly ["Base", 84531n]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Ethereum", 1n], readonly ["Sepolia", 0n], readonly ["Bsc", 56n], readonly ["Polygon", 137n], readonly ["Avalanche", 43114n], readonly ["Oasis", 42262n], readonly ["Aurora", 1313161554n], readonly ["Fantom", 250n], readonly ["Karura", 686n], readonly ["Acala", 787n], readonly ["Klaytn", 8217n], readonly ["Celo", 42220n], readonly ["Moonbeam", 1284n], readonly ["Neon", 245022934n], readonly ["Arbitrum", 42161n], readonly ["Optimism", 10n], readonly ["Gnosis", 100n], readonly ["Base", 8453n]]], readonly ["Testnet", readonly [readonly ["Ethereum", 5n], readonly ["Sepolia", 11155111n], readonly ["Bsc", 97n], readonly ["Polygon", 80001n], readonly ["Avalanche", 43113n], readonly ["Oasis", 42261n], readonly ["Aurora", 1313161555n], readonly ["Fantom", 4002n], readonly ["Karura", 596n], readonly ["Acala", 597n], readonly ["Klaytn", 1001n], readonly ["Celo", 44787n], readonly ["Moonbeam", 1287n], readonly ["Neon", 245022940n], readonly ["Arbitrum", 421613n], readonly ["Optimism", 420n], readonly ["Gnosis", 77n], readonly ["Base", 84531n]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) ? T extends `bigint(${infer V extends bigint})` ? V : T extends `boolean(${infer V_1 extends boolean})` ? V_1 : T : never : never>(args_0: K1, args_1: K2) => (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "Mainnet" | "Testnet" ? import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Ethereum", 1n], readonly ["Sepolia", 0n], readonly ["Bsc", 56n], readonly ["Polygon", 137n], readonly ["Avalanche", 43114n], readonly ["Oasis", 42262n], readonly ["Aurora", 1313161554n], readonly ["Fantom", 250n], readonly ["Karura", 686n], readonly ["Acala", 787n], readonly ["Klaytn", 8217n], readonly ["Celo", 42220n], readonly ["Moonbeam", 1284n], readonly ["Neon", 245022934n], readonly ["Arbitrum", 42161n], readonly ["Optimism", 10n], readonly ["Gnosis", 100n], readonly ["Base", 8453n]]], readonly ["Testnet", readonly [readonly ["Ethereum", 5n], readonly ["Sepolia", 11155111n], readonly ["Bsc", 97n], readonly ["Polygon", 80001n], readonly ["Avalanche", 43113n], readonly ["Oasis", 42261n], readonly ["Aurora", 1313161555n], readonly ["Fantom", 4002n], readonly ["Karura", 596n], readonly ["Acala", 597n], readonly ["Klaytn", 1001n], readonly ["Celo", 44787n], readonly ["Moonbeam", 1287n], readonly ["Neon", 245022940n], readonly ["Arbitrum", 421613n], readonly ["Optimism", 420n], readonly ["Gnosis", 77n], readonly ["Base", 84531n]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? (K2 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2, PropertyKey> : never) extends keyof import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Ethereum", 1n], readonly ["Sepolia", 0n], readonly ["Bsc", 56n], readonly ["Polygon", 137n], readonly ["Avalanche", 43114n], readonly ["Oasis", 42262n], readonly ["Aurora", 1313161554n], readonly ["Fantom", 250n], readonly ["Karura", 686n], readonly ["Acala", 787n], readonly ["Klaytn", 8217n], readonly ["Celo", 42220n], readonly ["Moonbeam", 1284n], readonly ["Neon", 245022934n], readonly ["Arbitrum", 42161n], readonly ["Optimism", 10n], readonly ["Gnosis", 100n], readonly ["Base", 8453n]]], readonly ["Testnet", readonly [readonly ["Ethereum", 5n], readonly ["Sepolia", 11155111n], readonly ["Bsc", 97n], readonly ["Polygon", 80001n], readonly ["Avalanche", 43113n], readonly ["Oasis", 42261n], readonly ["Aurora", 1313161555n], readonly ["Fantom", 4002n], readonly ["Karura", 596n], readonly ["Acala", 597n], readonly ["Klaytn", 1001n], readonly ["Celo", 44787n], readonly ["Moonbeam", 1287n], readonly ["Neon", 245022940n], readonly ["Arbitrum", 421613n], readonly ["Optimism", 420n], readonly ["Gnosis", 77n], readonly ["Base", 84531n]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] ? import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Ethereum", 1n], readonly ["Sepolia", 0n], readonly ["Bsc", 56n], readonly ["Polygon", 137n], readonly ["Avalanche", 43114n], readonly ["Oasis", 42262n], readonly ["Aurora", 1313161554n], readonly ["Fantom", 250n], readonly ["Karura", 686n], readonly ["Acala", 787n], readonly ["Klaytn", 8217n], readonly ["Celo", 42220n], readonly ["Moonbeam", 1284n], readonly ["Neon", 245022934n], readonly ["Arbitrum", 42161n], readonly ["Optimism", 10n], readonly ["Gnosis", 100n], readonly ["Base", 8453n]]], readonly ["Testnet", readonly [readonly ["Ethereum", 5n], readonly ["Sepolia", 11155111n], readonly ["Bsc", 97n], readonly ["Polygon", 80001n], readonly ["Avalanche", 43113n], readonly ["Oasis", 42261n], readonly ["Aurora", 1313161555n], readonly ["Fantom", 4002n], readonly ["Karura", 596n], readonly ["Acala", 597n], readonly ["Klaytn", 1001n], readonly ["Celo", 44787n], readonly ["Moonbeam", 1287n], readonly ["Neon", 245022940n], readonly ["Arbitrum", 421613n], readonly ["Optimism", 420n], readonly ["Gnosis", 77n], readonly ["Base", 84531n]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)][keyof import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Ethereum", 1n], readonly ["Sepolia", 0n], readonly ["Bsc", 56n], readonly ["Polygon", 137n], readonly ["Avalanche", 43114n], readonly ["Oasis", 42262n], readonly ["Aurora", 1313161554n], readonly ["Fantom", 250n], readonly ["Karura", 686n], readonly ["Acala", 787n], readonly ["Klaytn", 8217n], readonly ["Celo", 42220n], readonly ["Moonbeam", 1284n], readonly ["Neon", 245022934n], readonly ["Arbitrum", 42161n], readonly ["Optimism", 10n], readonly ["Gnosis", 100n], readonly ["Base", 8453n]]], readonly ["Testnet", readonly [readonly ["Ethereum", 5n], readonly ["Sepolia", 11155111n], readonly ["Bsc", 97n], readonly ["Polygon", 80001n], readonly ["Avalanche", 43113n], readonly ["Oasis", 42261n], readonly ["Aurora", 1313161555n], readonly ["Fantom", 4002n], readonly ["Karura", 596n], readonly ["Acala", 597n], readonly ["Klaytn", 1001n], readonly ["Celo", 44787n], readonly ["Moonbeam", 1287n], readonly ["Neon", 245022940n], readonly ["Arbitrum", 421613n], readonly ["Optimism", 420n], readonly ["Gnosis", 77n], readonly ["Base", 84531n]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] & (K2 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Ethereum", 1n], readonly ["Sepolia", 0n], readonly ["Bsc", 56n], readonly ["Polygon", 137n], readonly ["Avalanche", 43114n], readonly ["Oasis", 42262n], readonly ["Aurora", 1313161554n], readonly ["Fantom", 250n], readonly ["Karura", 686n], readonly ["Acala", 787n], readonly ["Klaytn", 8217n], readonly ["Celo", 42220n], readonly ["Moonbeam", 1284n], readonly ["Neon", 245022934n], readonly ["Arbitrum", 42161n], readonly ["Optimism", 10n], readonly ["Gnosis", 100n], readonly ["Base", 8453n]]], readonly ["Testnet", readonly [readonly ["Ethereum", 5n], readonly ["Sepolia", 11155111n], readonly ["Bsc", 97n], readonly ["Polygon", 80001n], readonly ["Avalanche", 43113n], readonly ["Oasis", 42261n], readonly ["Aurora", 1313161555n], readonly ["Fantom", 4002n], readonly ["Karura", 596n], readonly ["Acala", 597n], readonly ["Klaytn", 1001n], readonly ["Celo", 44787n], readonly ["Moonbeam", 1287n], readonly ["Neon", 245022940n], readonly ["Arbitrum", 421613n], readonly ["Optimism", 420n], readonly ["Gnosis", 77n], readonly ["Base", 84531n]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)][keyof import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Ethereum", 1n], readonly ["Sepolia", 0n], readonly ["Bsc", 56n], readonly ["Polygon", 137n], readonly ["Avalanche", 43114n], readonly ["Oasis", 42262n], readonly ["Aurora", 1313161554n], readonly ["Fantom", 250n], readonly ["Karura", 686n], readonly ["Acala", 787n], readonly ["Klaytn", 8217n], readonly ["Celo", 42220n], readonly ["Moonbeam", 1284n], readonly ["Neon", 245022934n], readonly ["Arbitrum", 42161n], readonly ["Optimism", 10n], readonly ["Gnosis", 100n], readonly ["Base", 8453n]]], readonly ["Testnet", readonly [readonly ["Ethereum", 5n], readonly ["Sepolia", 11155111n], readonly ["Bsc", 97n], readonly ["Polygon", 80001n], readonly ["Avalanche", 43113n], readonly ["Oasis", 42261n], readonly ["Aurora", 1313161555n], readonly ["Fantom", 4002n], readonly ["Karura", 596n], readonly ["Acala", 597n], readonly ["Klaytn", 1001n], readonly ["Celo", 44787n], readonly ["Moonbeam", 1287n], readonly ["Neon", 245022940n], readonly ["Arbitrum", 421613n], readonly ["Optimism", 420n], readonly ["Gnosis", 77n], readonly ["Base", 84531n]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] & (K2 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2, PropertyKey> : never)] : import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Ethereum", 1n], readonly ["Sepolia", 0n], readonly ["Bsc", 56n], readonly ["Polygon", 137n], readonly ["Avalanche", 43114n], readonly ["Oasis", 42262n], readonly ["Aurora", 1313161554n], readonly ["Fantom", 250n], readonly ["Karura", 686n], readonly ["Acala", 787n], readonly ["Klaytn", 8217n], readonly ["Celo", 42220n], readonly ["Moonbeam", 1284n], readonly ["Neon", 245022934n], readonly ["Arbitrum", 42161n], readonly ["Optimism", 10n], readonly ["Gnosis", 100n], readonly ["Base", 8453n]]], readonly ["Testnet", readonly [readonly ["Ethereum", 5n], readonly ["Sepolia", 11155111n], readonly ["Bsc", 97n], readonly ["Polygon", 80001n], readonly ["Avalanche", 43113n], readonly ["Oasis", 42261n], readonly ["Aurora", 1313161555n], readonly ["Fantom", 4002n], readonly ["Karura", 596n], readonly ["Acala", 597n], readonly ["Klaytn", 1001n], readonly ["Celo", 44787n], readonly ["Moonbeam", 1287n], readonly ["Neon", 245022940n], readonly ["Arbitrum", 421613n], readonly ["Optimism", 420n], readonly ["Gnosis", 77n], readonly ["Base", 84531n]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)][keyof import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Ethereum", 1n], readonly ["Sepolia", 0n], readonly ["Bsc", 56n], readonly ["Polygon", 137n], readonly ["Avalanche", 43114n], readonly ["Oasis", 42262n], readonly ["Aurora", 1313161554n], readonly ["Fantom", 250n], readonly ["Karura", 686n], readonly ["Acala", 787n], readonly ["Klaytn", 8217n], readonly ["Celo", 42220n], readonly ["Moonbeam", 1284n], readonly ["Neon", 245022934n], readonly ["Arbitrum", 42161n], readonly ["Optimism", 10n], readonly ["Gnosis", 100n], readonly ["Base", 8453n]]], readonly ["Testnet", readonly [readonly ["Ethereum", 5n], readonly ["Sepolia", 11155111n], readonly ["Bsc", 97n], readonly ["Polygon", 80001n], readonly ["Avalanche", 43113n], readonly ["Oasis", 42261n], readonly ["Aurora", 1313161555n], readonly ["Fantom", 4002n], readonly ["Karura", 596n], readonly ["Acala", 597n], readonly ["Klaytn", 1001n], readonly ["Celo", 44787n], readonly ["Moonbeam", 1287n], readonly ["Neon", 245022940n], readonly ["Arbitrum", 421613n], readonly ["Optimism", 420n], readonly ["Gnosis", 77n], readonly ["Base", 84531n]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] & (K2 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2, PropertyKey> : never)] : never : import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Ethereum", 1n], readonly ["Sepolia", 0n], readonly ["Bsc", 56n], readonly ["Polygon", 137n], readonly ["Avalanche", 43114n], readonly ["Oasis", 42262n], readonly ["Aurora", 1313161554n], readonly ["Fantom", 250n], readonly ["Karura", 686n], readonly ["Acala", 787n], readonly ["Klaytn", 8217n], readonly ["Celo", 42220n], readonly ["Moonbeam", 1284n], readonly ["Neon", 245022934n], readonly ["Arbitrum", 42161n], readonly ["Optimism", 10n], readonly ["Gnosis", 100n], readonly ["Base", 8453n]]], readonly ["Testnet", readonly [readonly ["Ethereum", 5n], readonly ["Sepolia", 11155111n], readonly ["Bsc", 97n], readonly ["Polygon", 80001n], readonly ["Avalanche", 43113n], readonly ["Oasis", 42261n], readonly ["Aurora", 1313161555n], readonly ["Fantom", 4002n], readonly ["Karura", 596n], readonly ["Acala", 597n], readonly ["Klaytn", 1001n], readonly ["Celo", 44787n], readonly ["Moonbeam", 1287n], readonly ["Neon", 245022940n], readonly ["Arbitrum", 421613n], readonly ["Optimism", 420n], readonly ["Gnosis", 77n], readonly ["Base", 84531n]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) & {
    get: (args_0: string, args_1: string) => 0n | 1n | 56n | 137n | 43114n | 42262n | 1313161554n | 250n | 686n | 787n | 8217n | 42220n | 1284n | 245022934n | 42161n | 10n | 100n | 8453n | 5n | 11155111n | 97n | 80001n | 43113n | 42261n | 1313161555n | 4002n | 596n | 597n | 1001n | 44787n | 1287n | 245022940n | 421613n | 420n | 77n | 84531n | undefined;
    has: (args_0: string, args_1: string) => boolean;
};
export declare const solGenesisHashToNetworkChainPair: (<K1 extends "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d" | "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG">(args_0: K1) => (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d" | "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG" ? import("../utils").ObjectFromMappingEntries<[readonly ["5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d", readonly [readonly [readonly ["Mainnet", "Solana"]]]], readonly ["EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG", readonly [readonly [readonly ["Testnet", "Solana"]]]]]>[("5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d" | "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("../utils").ObjectFromMappingEntries<[readonly ["5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d", readonly [readonly [readonly ["Mainnet", "Solana"]]]], readonly ["EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG", readonly [readonly [readonly ["Testnet", "Solana"]]]]]>[("5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d" | "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : import("../utils").ObjectFromMappingEntries<[readonly ["5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d", readonly [readonly [readonly ["Mainnet", "Solana"]]]], readonly ["EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG", readonly [readonly [readonly ["Testnet", "Solana"]]]]]>[("5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d" | "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) & {
    get: (args_0: string) => readonly ["Mainnet", "Solana"] | readonly ["Testnet", "Solana"] | undefined;
    has: (args_0: string) => boolean;
};
export declare const solNetworkChainToGenesisHash: (<K1 extends "Mainnet" | "Testnet", K2 extends keyof ((K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "Mainnet" | "Testnet" ? import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Solana", "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d"]]], readonly ["Testnet", readonly [readonly ["Solana", "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Solana", "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d"]]], readonly ["Testnet", readonly [readonly ["Solana", "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Solana", "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d"]]], readonly ["Testnet", readonly [readonly ["Solana", "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) extends infer T ? T extends keyof ((K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "Mainnet" | "Testnet" ? import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Solana", "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d"]]], readonly ["Testnet", readonly [readonly ["Solana", "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Solana", "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d"]]], readonly ["Testnet", readonly [readonly ["Solana", "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Solana", "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d"]]], readonly ["Testnet", readonly [readonly ["Solana", "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) ? T extends `bigint(${infer V extends bigint})` ? V : T extends `boolean(${infer V_1 extends boolean})` ? V_1 : T : never : never>(args_0: K1, args_1: K2) => (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "Mainnet" | "Testnet" ? import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Solana", "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d"]]], readonly ["Testnet", readonly [readonly ["Solana", "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? (K2 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2, PropertyKey> : never) extends keyof import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Solana", "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d"]]], readonly ["Testnet", readonly [readonly ["Solana", "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] ? import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Solana", "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d"]]], readonly ["Testnet", readonly [readonly ["Solana", "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)][keyof import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Solana", "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d"]]], readonly ["Testnet", readonly [readonly ["Solana", "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] & (K2 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Solana", "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d"]]], readonly ["Testnet", readonly [readonly ["Solana", "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)][keyof import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Solana", "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d"]]], readonly ["Testnet", readonly [readonly ["Solana", "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] & (K2 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2, PropertyKey> : never)] : import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Solana", "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d"]]], readonly ["Testnet", readonly [readonly ["Solana", "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)][keyof import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Solana", "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d"]]], readonly ["Testnet", readonly [readonly ["Solana", "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] & (K2 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2, PropertyKey> : never)] : never : import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Solana", "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d"]]], readonly ["Testnet", readonly [readonly ["Solana", "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) & {
    get: (args_0: string, args_1: string) => "5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d" | "EtWTRABZaYq6iMfeYKouRu166VU2xqa1wcaWoxPkrZBG" | undefined;
    has: (args_0: string, args_1: string) => boolean;
};
//# sourceMappingURL=platforms.d.ts.map